# KDE användarhandbok

Ben
Burton
bab@debian.org
25:e maj, 2005
K-skrivbordsmiljön
indiserver
1

# `indiserver`

INDI-server för teleskopstyrning av Kstars

    indiserver -l katalog -m storlek -p port -v drivrutin

## Beskrivning

&kstars; låter dig ställa in och styra astronomiska instrument som teleskop och fokuseringsutrustningar via INDI-protokollet. `indiserver` är en server som befinner sig mellan &kstars; användargränssnitt och hårdvarudrivrutinerna på låg nivå.

En INDI-server är en nätverksserver som antingen lokala eller fjärrklienter kan ansluta till för att styra astronomiska instrument. Den accepterar följande argument:

- -l d : att logga drivrutinmeddelanden i `/ÅÅÅÅ-MM-DD.islog`.

- -m m : döda klienten om den kommer så här många Mibyte efter, normalt 10

- -p p : alternativ IP-port, normalt 7624

- -v : visa viktiga händelser, inte trafik

- -vv : -v + innehållet i viktiga meddelanden

- -vvv : -vv + fullständig XML

- drivrutin : körbar fil eller enhet@värddator[:port]

En INDI-server måste köra på datorn som är fysiskt ansluten till de astronomiska instrumenten.

Det finns oftast inget behov av att köra INDI-servern direkt. Genom att använda &kstars;s enhetshantering kan du ställa in astronomiska instrument och starta eller stoppa INDI-servern inne i &kstars;.

Mycket mer detaljerad information finns i &kstars;s handbok som beskrivs nedan.

&kstars; är ett grafiskt skrivbordsplanetarium för &kde; och utgör en del av &kde;:s officiella utbildningsmodul.

## Väljare

`-p port`

  Alternativ IP-port. Förvalt värde är 7624.

`-r försök`

  Maximalt antal försök att starta om i händelse av problem. Förvalt värde är 2.

`-vv`

  Var mer detaljerad med utmatning på standardfelutmatningen.

`drivrutin`

  Namnen på INDI-drivrutiner att köra.

  För närvarande tillgängliga är:

  - `celestrongps` (Celestron GPS)

  - `fliccd` (Finger Lakes Instruments CCD)

  - `lx200_16` (LX200 16")

  - `lx200autostar` (LX200 Autostar)

  - `lx200classic` (LX200 Classic)

  - `lx200generic` (LX200 Generic)

  - `lx200gps` (LX200 GPS)

  - `temma` (Temma Takahashi)

  - `v4ldriver` (Video4Linux generell drivrutin)

  - `v4lphilips` (Philips webbkamera)

## Se också

celestrongps(1), fliccd(1), lx200_16(1), lx200autostar(1), lx200classic(1), lx200generic(1), lx200gps(1), kstars(1), temma(1), v4ldriver(1), v4lphilips(1)

Mer detaljerad användardokumentation är tillgänglig med help:/kstars (skriv antingen in webbadressen i &konqueror;, eller kör ``khelpcenter` `help:/kstars``).

## Exempel

För att starta en INDI-server som kör en LX200 GPS drivrutin, och lyssnar efter anslutningar på porten 8000:

    indiserver -p 8000 lx200gps

## Upphovsmän

Den här manualsidan är baserad på den skriven för Debian av Ben Burton bab@debian.org